{"openapi":"3.0.4","info":{"title":"List all notifications on a subscription.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/notification"}],"paths":{"/api/subscriptions/{scope}/{code}/notifications":{"get":{"tags":["Notifications"],"summary":"List all notifications on a subscription.","operationId":"ListNotifications","parameters":[{"name":"scope","in":"path","description":"The scope that identifies a subscription","required":true,"schema":{"maxLength":100,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code that identifies a subscription","required":true,"schema":{"maxLength":100,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/notification/schemas.json#/components/schemas/ResourceListOfNotification"},"example":{"values":[{"notificationId":"ExampleId","displayName":"Example name","description":"Example description","notificationType":{"type":"AmazonSqs","body":"Event with message {{body.message}}","apiKeyRef":"config://shared/official/system-a-config/apiKey","apiSecretRef":"config://shared/official/system-a-config/apiSecretRef","queueUrlRef":"config://shared/official/system-a-config/queueUrl"},"createdAt":"2020-06-15T12:00:00.0000000+00:00","userIdCreated":"Example user","modifiedAt":"2020-06-20T12:00:00.0000000+00:00","userIdModified":"Example user","href":"http://fbn-test/api/subscriptions/testScope/testCode/notifications/ExampleId"}],"href":"Test:hrefUriString","nextPage":"nextString","previousPage":"previousString","links":[{"relation":"NextPage","href":"Test:nextUriString","method":"GET"},{"relation":"PreviousPage","href":"Test:previousUriString","method":"GET"}]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/notification/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"No notifications exists with the provided filter(s)","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/notification/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}